边界类

### Hierarchy

- Bounds

## Index

### Constructors

- constructor

### Properties

- height
- width
- x
- y

### Accessors

- bottom
- left
- right
- top

### Methods

- clone
- contains
- containsBounds
- copyFrom
- equals
- inflate
- intersects
- isEmpty
- setEmpty
- setTo
- toString

## Constructors

### constructor

- new Bounds(x?: number, y?: number, width?: number, height?: number): Bounds

- - Defined in support/Bounds.ts:13

  #### Parameters

  - ##### Default value x: number = 0

  - ##### Default value y: number = 0

  - ##### Default value width: number = 0

  - ##### Default value height: number = 0

  #### Returns Bounds

## Properties

### height

height: number

- Defined in support/Bounds.ts:13

### width

width: number

- Defined in support/Bounds.ts:12

### x

x: number

- Defined in support/Bounds.ts:10

### y

y: number

- Defined in support/Bounds.ts:11

## Accessors

### bottom

bottom:

- Defined in support/Bounds.ts:46
- Defined in support/Bounds.ts:50

### left

left:

- Defined in support/Bounds.ts:22
- Defined in support/Bounds.ts:26

### right

right:

- Defined in support/Bounds.ts:38
- Defined in support/Bounds.ts:42

### top

top:

- Defined in support/Bounds.ts:30
- Defined in support/Bounds.ts:34

## Methods

### clone

- clone(): Bounds

- - Defined in support/Bounds.ts:94

  克隆

  #### Returns Bounds

### contains

- contains(x: number, y: number): boolean

- - Defined in support/Bounds.ts:59

  是否包含点

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns boolean

### containsBounds

- containsBounds(bounds: Bounds ): boolean

- - Defined in support/Bounds.ts:140

  是否包含另一个边界

  #### Parameters

  - ##### bounds: Bounds

  #### Returns boolean

### copyFrom

- copyFrom(target: Bounds ): void

- - Defined in support/Bounds.ts:84

  复制一个边界

  #### Parameters

  - ##### target: Bounds

  #### Returns void

### equals

- equals(toCompare: Bounds ): boolean

- - Defined in support/Bounds.ts:152

  判断是否相等

  #### Parameters

  - ##### toCompare: Bounds

  #### Returns boolean

### inflate

- inflate(dx: number, dy: number): void

- - Defined in support/Bounds.ts:103

  扩展

  #### Parameters

  - ##### dx: number

  - ##### dy: number

  #### Returns void

### intersects

- intersects(toIntersect: Bounds ): boolean

- - Defined in support/Bounds.ts:131

  横切

  #### Parameters

  - ##### toIntersect: Bounds

  #### Returns boolean

### isEmpty

- isEmpty(): boolean

- - Defined in support/Bounds.ts:113

  是否是空边界

  #### Returns boolean

### setEmpty

- setEmpty(): void

- - Defined in support/Bounds.ts:120

  置空

  #### Returns void

### setTo

- setTo(x: number, y: number, width: number, height: number): void

- - Defined in support/Bounds.ts:73

  设置

  #### Parameters

  - ##### x: number

  - ##### y: number

  - ##### width: number

  - ##### height: number

  #### Returns void

### toString

- toString(): string

- - Defined in support/Bounds.ts:160

  #### Returns string

Generated using TypeDoc